namespace VideoStreamingDecorator.Lib;

public class LanguageOptionDecorator : VideoDecorator
{
    private string _audioLanguage;

    public LanguageOptionDecorator(IVideo video, string audioLanguage) : base(video)
    {
        _audioLanguage = audioLanguage;
    }

    public override string GetDescription()
    {
        return base.GetDescription() + $" with audio in {_audioLanguage}";
    }

    public override void Play()
    {
        base.Play();
        Console.WriteLine($"Audio language set to {_audioLanguage}");
    }
}