namespace VideoStreamingDecorator.Lib;

public class SubtitlesDecorator : VideoDecorator
{
    private string _language;

    public SubtitlesDecorator(IVideo video, string language) : base(video)
    {
        _language = language;
    }

    public override string GetDescription()
    {
        return base.GetDescription() + $" with subtitles in {_language}";
    }

    public override void Play()
    {
        base.Play();
        Console.WriteLine($"Subtitles enabled in {_language}");
    }
}