namespace VideoStreamingDecorator.Lib;

// Decorator
public abstract class VideoDecorator : IVideo
{
    protected IVideo _video;

    public VideoDecorator(IVideo video)
    {
        _video = video;
    }

    public virtual string GetDescription()
    {
        return _video.GetDescription();
    }

    public virtual void Play()
    {
        _video.Play();
    }
}